
Robot Control Interface - Feature #1714
Provide rci::wrench converter in rst-converters
01/06/2014 08:20 AM - C. Emmerich

Status: Resolved Start date: 01/06/2014
Priority: High Due date:
Assignee: % Done: 100%
Category: Software Estimated time: 0.00 hour
Target version: rsb-0.11
Description

Please provide a rst-converter for rci::Wrench type

Related issues:
Related to Robot Control Interface - Feature # 1715: Provide better interface... Resolved 01/06/2014

History
#1 - 01/06/2014 09:53 AM - Anonymous
- Tracker changed from Enhancement to Feature
- Category set to Software
- Assignee deleted (Anonymous)
- Target version set to rsb-0.11

Should be easy to add by yourself to the rst-converters repository (git: /projects/rst/repository/rst-converters).
You could use the PoseConverter as sample, as it basically does the same.

#2 - 01/06/2014 10:03 AM - C. Emmerich

I don't think so. Since a rci::Wrench is stored as quaternions and a rst.wrench as 3-dim torque, I do not know how to convert between them (on a
technical as well as a conceptual level). Maybe you should have a look at  #1043, it might be related to this issue.

#3 - 01/20/2014 09:09 AM - C. Emmerich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Since the automatic issue-closing mechansim did not work here, I close this issue manually...

Converter is implemented here

04/25/2024 1/1

/projects/rst/repository/rst-converters/revisions/master/show/cpp/src/rst/converters/rci
https://code.cor-lab.de/projects/rst/repository/rst-converters/revisions/b418201be01cb14bd86cd29ebf434488f531f83c

